
Foreman - Bug #2246

deleting an environment also deletes the provisioning templates

02/22/2013 05:09 PM - Mark Heily

Status: Closed   
Assignee: Tomáš Strachota   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request:    

Description

I can reproduce the problem that was reported here:

https://groups.google.com/forum/?fromgroups=#!topic/foreman-users/BG-_tAeWQVA

 When you delete a Puppet environment, any provisioning templates associated with the environment are automatically deleted.

Steps to reproduce:

1. Create a new provisioning template

  2. Associate the template with a Puppet environment

  3. Delete the puppet environment

 After this is completed, the provisioning template is also deleted. This creates an entry in the audit log similar to:

John Smith (192.168.1.1) destroyed Config Template: test-delete-me

Associated revisions

Revision af925318 - 05/12/2013 08:42 AM - Tomáš Strachota

fixes #2246 deleting an environment also deletes associated templates

Revision 070927e9 - 05/13/2013 03:32 PM - Tomáš Strachota

fixes #2246 deleting an environment also deletes associated templates

(cherry picked from commit af92531881ea038d792e48d6883082c66a51660a)

History

#1 - 05/07/2013 04:35 AM - Tomáš Strachota

- Assignee set to Tomáš Strachota

#2 - 05/09/2013 09:49 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/599

#3 - 05/12/2013 09:46 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset af92531881ea038d792e48d6883082c66a51660a.

#4 - 05/15/2013 06:43 AM - Mikael Fridh
https://github.com/theforeman/foreman/pull/599
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/af92531881ea038d792e48d6883082c66a51660a


- File 0001-fixes-2246-deleting-an-environment-also-deletes-asso.patch added

Patch for 1.1

Files

0001-fixes-2246-deleting-an-environment-also-deletes-asso.patch 1.05 KB 05/15/2013 Mikael Fridh
